module TalltyImportExport
  module Importable
    extend ActiveSupport::Concern

    included do |base|
      base.include(Common)
      base.const_set('Import', Class.new(TalltyImportExport::Import))
    end

    module ClassMethods
      def import_instance
        Import.new(self)
      end

      def import_xlsx *args
        import_instance.import_xlsx(*args)
      end
    end
  end
end
